DynamicJava Javadoc: Class JavaMethodInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classinfo
Class JavaMethodInfo

    java.lang.Object
      |
      +--koala.dynamicjava.classinfo.JavaMethodInfo

All Implemented Interfaces:
  MethodInfo

public class JavaMethodInfo
extends java.lang.Object
implements MethodInfo

The instances of this class provides informations about class methods compiled to JVM bytecode.

Constructor Summary
`JavaMethodInfo(java.lang.reflect.Method f)` Creates a new method info

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one
`ClassInfo[]` | `getExceptionTypes()` Returns an array of Class infos that represent the types of the exceptions declared to be thrown by the underlying method
`int` | `getModifiers()` Returns the modifiers for the method represented by this object
`java.lang.String` | `getName()` Returns the name of the underlying method
`ClassInfo[]` | `getParameterTypes()` Returns an array of class infos that represent the parameter types, in declaration order, of the method represented by this object
`ClassInfo` | `getReturnType()` Returns a Class object that represents the return type of the method represented by this object

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaMethodInfo

    public JavaMethodInfo(java.lang.reflect.Method f)

  Creates a new method info
  Parameters:
    `f` - the java method

Method Detail

### getModifiers

    public int getModifiers()

  Returns the modifiers for the method represented by this object
  Specified by:
    `getModifiers` in interface `MethodInfo`

### getReturnType

    public ClassInfo getReturnType()

  Returns a Class object that represents the return type of the method represented by this object
  Specified by:
    `getReturnType` in interface `MethodInfo`

### getName

    public java.lang.String getName()

  Returns the name of the underlying method
  Specified by:
    `getName` in interface `MethodInfo`

### getParameterTypes

    public ClassInfo[] getParameterTypes()

  Returns an array of class infos that represent the parameter types, in declaration order, of the method represented by this object
  Specified by:
    `getParameterTypes` in interface `MethodInfo`

### getExceptionTypes

    public ClassInfo[] getExceptionTypes()

  Returns an array of Class infos that represent the types of the exceptions declared to be thrown by the underlying method
  Specified by:
    `getExceptionTypes` in interface `MethodInfo`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one
  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.